Package Details: vtk5 5.8-1

Git Clone URL: https://aur.archlinux.org/vtk5.git (read-only)
Package Base: vtk5
Description: Visualization Toolkit (VTK)
Upstream URL: http://www.vtk.org
Submitter: purboo
Maintainer: purboo
Last Packager: purboo
Votes: 0
Popularity: 0.000000
First Submitted: 2016-12-29 12:33
Last Updated: 2017-05-19 06:32

Latest Comments

purboo commented on 2017-05-19 06:34

@1CatchMe1 The vtkhdf5 doesn't recognize Linux 4.10+, resulting in the compilation error. I have fixed this error.

1CatchMe1 commented on 2017-04-12 07:44

I have base-devel installed, I don't know the reason.
I got the source for vtk5.10 which I needed for RobotLocomotion/drake and your PKGBUILD helped me.
thanks

purboo commented on 2017-04-11 13:15

@1CatchMe1

I can compile it on a clean arch Linux system without any errors. Have you installed the package group base-devel?

1CatchMe1 commented on 2017-04-09 21:43

I am getting the following errors:
pacaur/vtk5/src/VTK/Utilities/vtkhdf5/src/H5F.c:2223:12: error: ‘S_IFLNK’ undeclared (first use in this function)
if(S_IFLNK == (lst.st_mode & S_IFMT))
/pacaur/vtk5/src/VTK/Utilities/vtkhdf5/src/H5F.c:2223:38: error: ‘S_IFMT’ undeclared (first use in this function)
if(S_IFLNK == (lst.st_mode & S_IFMT))
pacaur/vtk5/src/VTK/Utilities/vtkhdf5/src/H5F.c:2228:27: error: ‘PATH_MAX’ undeclared (first use in this function)
char realname[PATH_MAX];

@purboo